driver_find
Prev | Device Drivers Base | Next

## Name

driver_find — locate driver on a bus by its name.

## Synopsis

`struct device_driver * driver_find (` | const char * | name,
| struct bus_type * | bus`)`;

## Arguments

`name`

  name of the driver.

`bus`

  bus to scan for the driver.

## Description

Call `kset_find_obj` to iterate over list of drivers on a bus to find driver by name. Return driver if found.

Note that kset_find_obj increments driver's reference count.

Prev | Up | Next
driver_unregister | Home | dev_driver_string